import request from '@/utils/request'

// 查询中医档期业绩报表列表
export function listTcmScheduleReport(query) {
  return request({
    url: '/company/tcmScheduleReport/list',
    method: 'get',
    params: query
  })
}

// 查询中医档期业绩报表详细
export function getTcmScheduleReport(id) {
  return request({
    url: '/company/tcmScheduleReport/' + id,
    method: 'get'
  })
}

// 新增中医档期业绩报表
export function addTcmScheduleReport(data) {
  return request({
    url: '/company/tcmScheduleReport',
    method: 'post',
    data: data
  })
}

// 修改中医档期业绩报表
export function updateTcmScheduleReport(data) {
  return request({
    url: '/company/tcmScheduleReport',
    method: 'put',
    data: data
  })
}

// 删除中医档期业绩报表
export function delTcmScheduleReport(id) {
  return request({
    url: '/company/tcmScheduleReport/' + id,
    method: 'delete'
  })
}

// 查询可用中医档期管理列表
export function listSchedule(query) {
  return request({
    url: '/company/tcmScheduleReport/getScheduleList',
    method: 'get',
    params: query
  })
}

export function getTcmScheduleList() {
  return request({
    url: '/company/tcmScheduleReport/getTcmScheduleList',
    method: 'get'
  })
}

// 查询中医档期管理列表
export function listAllSchedule(query) {
  return request({
    url: '/company/tcmScheduleReport/getAllScheduleList',
    method: 'get',
    params: query
  })
}


// 中医档期业绩报表统计
export function statisticsReportList(query) {
  return request({
    url: '/company/tcmScheduleReport/statisticsList',
    method: 'get',
    params: query
  })
}


// 导出中医档期业绩报表
export function exportTcmScheduleReport(query) {
  return request({
    url: '/company/tcmScheduleReport/export',
    method: 'get',
    params: query
  })
}





// 导出公司报表统计
export function exportCompanyScheduleReport(query) {
  return request({
    url: '/company/tcmScheduleReport/exportCompany',
    method: 'get',
    params: query
  })
}
